import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    constructor();
    protected get_qm(): IndicatorCalculationStrategy;
    protected readonly qm: IndicatorCalculationStrategy;
    protected get_qz(): Type;
    protected readonly qz: Type;
    q7: number;
    static readonly rc: DependencyProperty;
    protected qs(): number;
    q1(a: number): void;
    smoothingPeriod: number;
    static readonly rd: DependencyProperty;
    protected qu(): number;
    q9: number;
    static readonly re: DependencyProperty;
    protected qr(): number;
    protected p2(): number;
}
